"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const ViewModel_1 = require("../src/ViewModel");
const View_1 = require("../src/View");
const knockout_1 = require("knockout");
var innerHtml = (0, knockout_1.observable)("Hello world!");
var borderColor = (0, knockout_1.observable)();
var title = (0, knockout_1.observable)("my tooltip");
var classNames = (0, knockout_1.observableArray)();
var viewModel = new ViewModel_1.ViewModel({
    innerHtml: innerHtml,
    attributes: {
        id: "1",
        title: title
    },
    classNames: classNames,
    style: {
        width: "300px",
        height: "30px",
        backgroundColor: "green",
        borderColor: borderColor
    }
});
var view = new View_1.View({
    tagName: "div",
    viewModel: viewModel
}, {
    eventListeners: {
        click: {
            listener: () => {
                innerHtml("Hello world updated");
                borderColor("1px solid red");
                title("my tooltip updated");
                classNames(["classname1", "className2"]);
            },
            options: {
                shiftKey: true
            }
        },
    }
});
document.body.appendChild(view.render());
//# sourceMappingURL=example-01.js.map